metadata:
  name: sdk-performance-tools-sysprof
  format: "Apertis Test Definition 1.0"
  image-types:
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
  type: functional
  exec-type: automated
  priority: medium
  maintainer: "Apertis Project"
  description: "Checks basic sysprof functionality by ensuring a CPU-intensive
                program shows up in its log as consuming the vast majority of the
                CPU cycles."

  expected:
    - "The test script will output a line with the test ID and the status of the
       test (PASSED or FAILED), with some additional information. An example
       output is:"
    - |
        >sdk-performance-tools-sysprof: PASSED
        Program ran in 99% of samples (>= 95% required)

install:
  deps:
    - apertis-tests
  git-repos:
    - url: https://gitlab.apertis.org/pkg/apertis-tests.git
      branch: 'apertis/v2022dev3'

run:
  steps:
    - "# Enter test directory:"
    - cd apertis-tests
    - "# Execute the following command:"
    - common/run-test-in-systemd --basename -- sdk/automated/test-sysprof.sh

parse:
  fixupdict:
    FAILED: fail
    PASSED: pass
    FAIL: fail
    PASS: pass
    SKIP: skip
    UNKNOWN: unknown
  pattern: '^(?P<test_case_id>[a-zA-Z0-9_\-\./]+):\s*(?P<result>PASSED|PASS|pass|FAILED|FAIL|fail|SKIP|skip|UNKNOWN|unknown)$'
